// 会员相关的接口
import request from '@/utils/request'

/** 获取会员成员列表 */
export function fetchMemberList(params) {
  return request({
    url: '/vip/list',
    method: 'get',
    params
  })
}

/** 获取会员开通记录 */
export function fetchVipRecord(params) {
  return request({
    url: '/vip/history/list',
    method: 'get',
    params
  })
}

/** 获取会员会员套餐  服务列表 */
export function fetchConfigureList(params) {
  return request({
    url: '/vip/configure/form',
    method: 'get',
    params
  })
}

/** 添加会员套餐  服务*/
export function updateConfigure(data) {
  return request({
    url: '/vip/configure',
    method: 'post',
    data
  })
}

/** 获取会员套餐列表 */
export function fetchVipComboList(params) {
  return request({
    url: '/vip/package/list',
    method: 'get',
    params
  })
}

/** 赠送会员 */
export function handselVip(data) {
  return request({
    url: '/vip/send',
    method: 'post',
    data
  })
}

/** 获取会员服务菜单列表 */
export function fetchVipMenusConfigure(params) {
  return request({
    url: '/vip/menus/form',
    method: 'get',
    params
  })
}

/** 修改会员服务菜单列表 */
export function updateVipMenusConfigure(data) {
  return request({
    url: '/vip/menus/configure',
    method: 'post',
    data
  })
}

/** 为供应商配置定制化服务 */
export function updateUserMenusConfigure(data) {
  return request({
    url: '/vip/services/configure',
    method: 'post',
    data
  })
}

/** 查询供应商定制化服务配置 */
export function fetchUserMenusConfigure(params) {
  return request({
    url: '/vip/services/form',
    method: 'get',
    params
  })
}
